aboutsummaryrefslogtreecommitdiffstats
path: root/main/fontconfig/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/fontconfig/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/fontconfig/APKBUILD')
-rw-r--r--main/fontconfig/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/main/fontconfig/APKBUILD b/main/fontconfig/APKBUILD
new file mode 100644
index 0000000000..3ae0ffd41f
--- /dev/null
+++ b/main/fontconfig/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Mika Havela <mika.havela@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=fontconfig
+pkgver=2.8.0
+pkgrel=0
+pkgdesc="The Fontconfig package is a library for configuring and customizing font access."
+url="http://fontconfig.org"
+license="GPL"
+depends=
+makedepends="pkgconfig freetype-dev expat-dev zlib-dev"
+install=
+triggers="$pkgname.trigger:/usr/share/fonts/*"
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://fontconfig.org/release/${pkgname}-${pkgver}.tar.gz"
+depends_dev="freetype-dev expat-dev"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-docs
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make -j1 DESTDIR="$pkgdir" install
+
+ install -m644 -D COPYING "$pkgdir"/usr/share/licenses/"${pkgname}"/COPYING
+}
+
+md5sums="77e15a92006ddc2adbb06f840d591c0e fontconfig-2.8.0.tar.gz"